﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Silverlight.Controls;

namespace DialogWindowCrash
{
    public partial class MainPage : UserControl
    {
        private XamWebDialogWindow _dialogWindowWithResizeHandler;

        public MainPage()
        {
            InitializeComponent();

            staticDialogWindow.Content = new MyInputControl();
        }

        private void OnContentContorlButtonClick(object sender, RoutedEventArgs e)
        {
            var myInputControl = new MyInputControl();
            myContentControl.Content = myInputControl;
        }

        private void OnDialogWindowButtonClick(object sender, RoutedEventArgs e)
        {
            var myInputControl = new MyInputControl();
            dialogWindow.Content = myInputControl;
        }

        private void OnDialogWindowWithResizeButtonClick(object sender, RoutedEventArgs e)
        {
            var myInputControl = new MyInputControl();

            _dialogWindowWithResizeHandler = new XamWebDialogWindow();
            _dialogWindowWithResizeHandler.Content = myInputControl;
            LayoutRoot.Children.Add(_dialogWindowWithResizeHandler);

            myInputControl.SizeChanged += OnSizeChanged;
        }

        private void OnSizeChanged(object sender, SizeChangedEventArgs e)
        {
            _dialogWindowWithResizeHandler.Height += e.NewSize.Height - e.PreviousSize.Height;
            _dialogWindowWithResizeHandler.Width += e.NewSize.Width - e.PreviousSize.Width;
        }
    }
}
